Hot in handcuffs
================
tags: fallout, FO4, mod, ideas, lewd

Permissions
-----------
This work is public domain, you can do whatever you want with it, even claim authorship.

Preface
-------
What started as an idea for something simple turns out to become a large conversion;
still, if I want this project to ever get somewhere, I should keep it at least
modular, with smaller independent parts having limited scope.

This project is built around the singular invariant: the player character gets
handcuffed very early in the game and is unable to ever get free. One optional
additional notion would be that the game world climate is on the warmer side. While
not that complex of a premise, this has a lot of implications we will have
to explore and address.

Tired to death of merry looter-shooter power fantasies, I imagine a very different
game play: a limiting but fair sandbox, proper role-play content, a setting that
makes sense, and a real sense of achievement, should one manages to achieve something.

### Update
I don't think I'll be able to work on this myself. I've been thinking about all this
for so long it would be a shame just to let it dissipate into the ether, so I will
tidy this whitepaper up and publish it in hopes it serves any useful purpose.

Goals
-----
* A novel way to immerse yourself in a post-apocalyptic retro-futuristic fantasy world.
* A lewd mod I myself would want to play for extended periods of time.
* A project that's actually doable.

Non-goals
---------
* A railroaded cinematographic "experience" for players.
* Support for any platforms other than PC.

Limitations
-----------
* I don't use discord.
* I refuse to touch C++ with a stick of any length.
* I have no experience with 3D, animation or any art at all beyond writing.
* I'm not a native speaker.
* I did not find the TV show that great and dropped it after episode 2.

Hard questions
--------------
We will have to take away many a game mechanic from the player in a game that was
designed around these mechanics. We will have to give something new in return lest
we make a boredom simulator -- I'm ready to develop a boredom simulator, but people
aren't ready to play one.

No amount of quests or dialogue helps with making a satisfactory sandbox. All quests
end sooner or later, and the game shouldn't end with them. We need a new core
game play loop and ways for people to play out their own stories. What is especially
unhelpful is meaningless busywork that doesn't lead anywhere. "Radiant quests" is a bad
solution to the "endless game" problem.

If we go "second person" way, how do we avoid repetition in a single player game?
If we go "magic" way, how are we not making it a power fantasy all over again?

What do we lose?
----------------
### Mechanics
* Power armor for the player
* Pip-boy
	* Stats
	* Inventory
	* Data
	* Map
	* Radio
	* Vault doors
* Interaction with large amount of world objects, in particular
	* Terminals
	* Traps
	* Workbenches
* Picking up and moving objects
* Workshop interface
* Sitting down (because of the clipping with many a chair)

### Systems
* Combat
* Looting
* Using aid items
* Crafting
* Building

### Integration
So there are three existing mods that take your hands away.

* Real handcuffs: mostly gets the job done, but is a bit rough around the edges
* Devious devices: gets the same job done in different (less optimal) ways
* Amputator: I don't think it bothers itself with such banalities

We'd have to account for two different cases:

* Arms bound behind back, but hands and free.
* No arms OR arms bound behind back, hands in mittens (or similar).

Some actions (like smoking) are possible in the former case, but not the latter.

Core game play loop
-------------------
### Open world
We lose all three parts of the vanilla loop, widely summarized as shoot->loot->improve.
While I can imagine some substitutes for that, if replaced directly it would defeat
most of the purpose, setting the player on a familiar hero power fantasy route. We need
something new that lies beyond the "content", as all quests end sooner or later. Having
said that, let's explore said content.

#### Quests
These go without saying. Repeatable activities tend to get old rather fast though.

#### Exploration
The intention is to have the world mostly empty of lootable objects, but there is still
room for discovery. Maybe there's a magazine hidden under an odd bed somewhere,
or a holo-tape with a new porn clip for the next time you spend a week behind bars.

#### Building
It seems reasonable to assign NPCs to slowly convert materials into objects the player
may then place into the world. Scavenger stations may scrap things in an immersive way.

#### End-game
In a world where nothing re-spawns, there comes a point when it's hard to think of ways
to keep yourself occupied. Not like vanilla can answer this question either, to be fair.
A successful sandbox allows the player to set their own goals in a world where it's
enjoyable to simply walk around.

We have to come to peace with the notion that all games end at some point because
the player stops playing.

### Captivity
Another hard question is how to keep a player entertained for an extended period of time
during which they can't change locations. Here's the list I was able to come up with:

* Listening to radio (using stand-alone radios which can be tuned to stations)
* Watching VotW
* Reading smut
* Smoking on a balcony
* Chilling in a nice place, watching the world
* It seems possible to integrate AI for dialogue and AAF scenes, but it's a complex task

Some ideas (developed to different degrees)
-------------------------------------------
In no particular order:

### Corruption
Over time the character's actions, or indeed mere presence, may result in the world
becoming more lewd in some aspects. The PC themselves, select NPCs, settlements or whole
factions may start acting differently depending on their "corruption". This is not such
a radically new thought that I need to explain further.

### Magic
In order to replace lost abilities, we may grant the player new ones. Here's something
that comes to mind:

* Arms bound behind back grants ability to limited telekinesis: pick up and move things
* Wearing a blindfold develops "magic" vision over time
* Similarly, being unable to hear may develop "magic" hearing
* Bound legs may grant a magic jet-pack
* Wearing a gag may lead to "combat magic" awakening. Now, this is a touchy subject.

#### Combat magic
It's easy to make the player an unstoppable deity. While fun, it kinda works against
the goals. Maybe "combat magic" means only support effects, maybe it should be balanced
in some interesting ways. One such way may be using an "arousal" stat to moderate power
and use it as "mana" for different "spells".

### Indirect combat
While it's not very easy to reintroduce turn-based combat into Fallout 4, we may find it
worthwhile to untether combat results from skills of the player, instead making them
dependent on the skills of the character. As a trivial example, a pop up may appear when
the combat begins, detailing what happened, which is then scripted into the game world.

### Take control away more often
In the similar vein, it can be useful to enforce the character's personality onto
the game-play, for example:

* PC may run away from the combat unless brave enough (and can run)
* PC may surrender if the danger is imminent (there are several mods that do this)
* PC may faint under too much stress

### NPC reuse
I would avoid adding any new entities to the game without good reasons. When it comes
to NPCs, one idea would be to resurrect and reuse NPCs that are dead from the start.

### Prospect dominants
* Science! Center (playful and mischievous)
* Mysterious stranger (silent and service)
* 81 overseer (strict and chastity)
* Kellogg (PC as a pet, maybe a redemption arc)
* Maybe one of the many doctors has a medical kink

### World alive
* make NPCs actually go out and do something, not just spawn generic patrols
* slave trade independent of the player
* make workshops populated
* make NPCs run away from losing battles
* hunting parties

### Pony girls
It's a rich idea in and out of itself, but I haven't developed it too much.
It's possible to replace NPCs with other NPCs, there's already a mod that does that
to select brahmin in the world.

### RPG: rationalize character actions
Just because the player wants to achieve something in-game doesn't mean the character
does the same. There needs to be an intermediate step that explains WHY the PC does
what she does. As an example, consider using internal dialogue to reflect on things
and arrive at conclusions. "What do I want to do in the wasteland?" can have several
options available depending on how the game went so far. This idea has parallels to
Disco Elysium's thoughts internalization mechanic.

### RPG: playing as a lawyer
Being mostly useless in things that require hands leave us useful for things that
require running your mouth. SS2 pokes at the law already, this idea does the same
from a different perspective.

### Game goal: opening a successful business
Once again, you don't need hands to be a shrewd entrepreneur. There is a clear market
niche for lewd enterprises, especially once corruption kicks in. Maybe some raiders
need corrective labor, maybe a new pony express can generate profit? Running a kinky
office can be entertaining on its own.

### Helplessness as unique qualification
The PC being visibly helpless can be exploited in-game by a cunning party to different
ends. Infiltrating hostile environments? Straight up bait? In any case it's another
possible answer to a question "so you're in restraints, now what?"

### Pre-war DNA
Another unique property of the PC is actually touched upon in the base game with USS
Constitution crew recognizing the citizenship. This can be extended to all robots,
making them non-hostile to the player. Feral ghouls can be given the same treatment,
hand-waved away as detecting the PC as non-mutated pre-war specimen or something.
Having less initially hostile factions opens the game up from just killing most of what
moves into a more thoughtful sandbox, given some additional effort to fill it with
meaningful content of course.

### Just survival
If nothing else, survival can be a convincing motivator. This needs to be developed
way, way beyond the vanilla meters, but it can be done in an interesting way, having
the player involved with basic mechanics and feeling small achievements for fulfilling
immediate needs. Care should be taken, as it's extremely easy to balance poorly, making
it a source of annoying busywork instead.

### Party adventuring
It could be fun to assemble a party to go on an adventure as a squad, the PC having
some support role as well, a packing mule if nothing else. This of course raises the
question as to why the party needs the player in the first place. Maybe as a guide?

### Rogue-lite
Starting the whole game over each time you die is not what most people would do. Still,
it could be made to work to some extent, here's one example:

* Upon death the PC wakes up somewhere with a semi-random explanation
* Depending on some previous run metrics she gets buffs or de-buffs, this is
  the hard part to rationalize and balance

The main benefit would be to make the game seamless, without ever loading a save.
Unlike the vanilla survival the game state isn't rolled back, the player doesn't lose
any progress and any decisions they made will persist.

### Mini-metro
There's a whole genre of games that are about connecting dots on a map. It would be
fun to make use of this trope, especially given we already have the supply lines
mechanic we can hook into.

### Clicker game
If all else fails, it's still fun to make numbers go up. This is a rich idea, but I
didn't explore it too deep, because ideally I would strive for something more
meaningful than that. It can work on the side of anything else though.

### Sub-personalities
I like how they are done in Defenestration. There are many ways in which the PC's
mind may start hosting some guests that can take over from time to time. Need
to clear a location from enemies? Become the death incarnate, watch the screen go
black and observe the results of a battle you didn't fight on your own. Something
like that.

### DREAMS
Maybe the base game is boring, but a girl can dream. This gives an ability to make
the game play a sharp contrast between phases where you don't necessarily control
your environment and have to adjust, also giving room to role playing, as you get
a license to not making much sense and not even caring about the lore consistency.
Wanna play Skyrim inside your Fallout? Go nuts.

### REVERSE DREAMS
The same idea, but the base game is a persistent dream you have. You wake up in
a completely different world you may craft however you please, completely
independent of the established lore.

### Miscellaneous
* Given that the weather is hot, maybe PC can get a tan. Bonus points for tan lines.
* Use https://fallout.fandom.com/wiki/Pommel_horse for lewd purposes.

Modules
-------
I realize it's not that easy to cut clean across the mod lines, but I would try anyway.

### Clothes gone
Even if you can hand-wave away no industrial capacity of the wasteland, where does
the cloth come from? I would eliminate most of the clothing from the game, only leaving
it for factions that can be explained to have some, and items that can be made from
the animal leather.

### No loot
Remove most of containers and loose items from uninhabited locations.

### No ammo
Remove most of the ammo and fusion cores from the game, guns from NPCs. Removing guns
themselves would also be immersive, but is less obvious than ammo.

### Main mod
Clear inventory and handcuff PC after leaving 111, set up global variables. ESP may
provide necessary overrides and new forms should some be required universally.

### Vanilla quests made kinky
There are so many ways in which vanilla quests suck... It would stand to reason to try
and salvage something. Here are some ideas:

#### Kid in a Fridge
Billy is a teenager looking ghoul girl.

#### Confidence Man
* Scarlet turns into a dom and runs the bar, having V.B. sweep instead.
* Maybe she gets her confidence boost from a gunners boot camp or something.
* She moves in with Travis, who gets to enjoy being her pet from now on.
* Travis never gets the confidence boost.
* Maybe some new radio bits.
* Maybe adds to DC corruption levels.

#### Initial BoS quest line
P.D. died earlier and is replaced by a synth, covertly working on making BoS stay out
of Boston. The whole quest line can be made into painful puns, as well as providing
a reason to leave PC armless.

* Fire Support can be made about letting the other two go.
* Call to Arms can be made into chopping off PC's arms to make them be able to wear
  power armor again.
* And so on.

### Commonwealth Ethics Committee
The wasteland doesn't make sense. Maybe there exists a shadow committee that aims
to reconcile the factions in order to make it a place people can actually live in.
The PC would be a useful asset in this project.

This idea is quite far-fetching and deserves its own detailed investigation.
For example I would make most raider groups non-hostile and give them believable
backstories and individual agendas. The gunners deserve the same. The institute is
written so poorly it needs a complete overhaul, but maybe 80% of work can be done
with 20% of effort.

### Additional quests
The sky's the limit. Here are some ideas:

* Actually go out and find mysterious stranger with Nick.
* Vault 81 has a reproduction crisis. Overseer is ready for desperate measures.
* Science! Center might be able to help with RH collars.

Conclusion
----------
I realize that people who can mod are already busy with their own ideas. My only hope
is to some day see a game I enjoy playing, and as much as I appreciate the modding
scene and the wide variety of existing games, adult or otherwise, I always want more.
In this document I have outlined some of my mind map, having thought about things
for quite a while now, and I hope someone would be -- if nothing else -- entertained
by its content.
